@extends("layouts.dashboard.app")

@section("page-nav-title")
    <div class="app-title">
        <div>
            <h1><i class="fa fa-dashboard"></i>{{__('Order Details')}}</h1>
            <p>{{__('Control and view all Add Ons')}}</p>
        </div>
        <ul class="app-breadcrumb breadcrumb">
            <li class="breadcrumb-item"><i class="fa fa-home fa-lg"></i></li>
            <li class="breadcrumb-item"><a href="{{route("orders.index")}}">{{__('Orders')}}</a></li>
            <li class="breadcrumb-item"><a href="#">{{__('Details')}}</a></li>
        </ul>
    </div>
@endsection
@section("content")
    @include("layouts.main-parts.page-message")
    <div class="row">
        <div class="col-lg-12">
            <div class="tile">
                <div class="row">
                    <div class="col-lg-9">
                        <div class="order-info">
                              <?php

                              $count = 0;
                              ?>
                            <label>{{__('Order number')}}</label>
                            <div class="value">#{{$count+=1}}</div>
                        </div>
                    </div>
                    <div class="col-lg-3">
                        <div class="order-info">
                            <label>{{__('Order Date')}}</label>
                            <div class="value">{{$order->created_at->diffForhumans()}}</div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-md-12">
            <div class="tile">
                <div class="tile-title">{{__('Items')}}</div>
                <div class="tile-body">

                    @foreach($order->items as $item)
                    <div class="tile">
                        <div class="row">
                            <div class="col-lg-2">
                                <img src="{{$item->item_image}}" alt="" class="full-box-img">
                            </div>
                            <div class="col-lg-10">
                                <div class="row">
                                    <div class="col-lg-10">
                                        <h5><span style="color: var(--primary)">{{$item->quantity}}</span> * {{$item->item_name_en}}</h5>
                                        <h5>{{$item->item_name_ar}}</h5>
                                        @foreach($item->addOns as $addOn)
                                        <div class="mt-4">
                                            <h5>{{$addOn->AddOns_Category_name}}</h5>
                                            <div class="row">
                                                <div class="col-lg-7 text-size-17 color-sub font-weight-bold">
                                                    {{$addOn->AddOns_name}}
                                                </div>
                                                <div class="col-lg-5 color-primary text-size-16 ">
                                                    {{$addOn->AddOns_price}} AED
                                                </div>
                                            </div>
                                        </div>
                                        @endforeach
                                    </div>
                                    <div class="col-lg-2">
                                        <div class="order-info mb-3">
                                            <label style="font-size: 18px">{{__('Item Price')}}</label>
                                            <div class="value" style="font-size: 16px">{{$item->itemPrice}} AED</div>
                                        </div>
                                        <div class="order-info">
                                            <label style="font-size: 18px">Total Price</label>
                                            <div class="value" style="font-size: 16px">{{$item->totalPrice}} AED</div>
                                        </div>
                                    </div>
                                       <div class="col-lg-2">
                                        <div class="order-info mb-3">
                                            <label style="font-size: 18px">{{__('Item Name')}}</label>
                                            <div class="value" style="font-size: 16px">{{$item->itemList->item_name_ar}}</div>
                                        </div>
                                        <div class="order-info">
                                            <label style="font-size: 18px">{{__('Item Descriptions')}}</label>
                                            <div class="value" style="font-size: 16px">{{$item->itemList->item_description_ar}}</div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    @endforeach
                </div>
            </div>
        </div>
    </div>

@endsection
@section("scripts")
    <!-- Data table plugin-->
    <script type="text/javascript" src="{{asset("assets/js/plugins/jquery.dataTables.min.js")}}"></script>
    <script type="text/javascript" src="{{asset("assets/js/plugins/dataTables.bootstrap.min.js")}}"></script>
    <script type="text/javascript">$('#sampleTable').DataTable();</script>
    <!-- Google analytics script-->
    <script type="text/javascript">
        if(document.location.hostname == 'pratikborsadiya.in') {
            (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
                (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
                m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
            })(window,document,'script','//www.google-analytics.com/analytics.js','ga');
            ga('create', 'UA-72504830-1', 'auto');
            ga('send', 'pageview');
        }
    </script>
@endsection
